be.fgov.ehealth.commons.protocol.v2

## Class StatusResponseType

- java.lang.Object
- - be.fgov.ehealth.commons.protocol.v2.ResponseType
  - - be.fgov.ehealth.commons.protocol.v2.StatusResponseType

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    ActivateETKResponse, AliveCheckResponse, CompleteETKRegistrationResponse, ConsultCarmedInterventionResponse, ConsultCarmedInterventionResponse, ConsultCurrentSsinResponseType, DeleteUrgentMedicalAidAttestationResponse, FindAmppResponse, FindAmpResponse, FindCommentedClassificationResponse, FindCompanyResponse, FindCompoundingFormulaResponse, FindCompoundingIngredientResponse, FindLegislationTextResponse, FindNonMedicinalProductResponse, FindReferencesResponse, FindReimbursementResponse, FindVmpGroupResponse, FindVmpResponse, FindVtmResponse, GenerateCertificateResponse, GenerateContractResponse, GenerateRevocationContractResponse, GetActorQualitiesResponse, GetCertificateInfoForAuthenticationCertificateResponse, GetCertificateInfoForCitizenResponse, GetCertificateResponse, GetGenericOrganizationTypesResponse, GetOrganizationContactInfoResponse, GetProfessionalContactInfoResponse, PaginationStatusResponseType, RegisterPersonResponse, RevokeResponse, SearchPersonBySsinResponse, SearchPersonPhoneticallyResponse, SearchUrgentMedicalAidAttestationResponse, SendUrgentMedicalAidAttestationResponse, StartETKRegistrationResponse, SubmitCSRForForeignerResponse, VerifyIdResponse

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2023-09-11T10:23:02+02:00",
                 comments="JAXB RI v2.3.7")
      public class StatusResponseType
      extends ResponseType
      implements Serializable

  eHealth SOA Response Type for Services that require a Status as output.

  Java class for StatusResponseType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="StatusResponseType">
         <complexContent>
           <extension base="{urn:be:fgov:ehealth:commons:protocol:v2}ResponseType">
             <sequence>
               <element ref="{urn:be:fgov:ehealth:commons:core:v2}Status"/>
             </sequence>
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StatusResponseType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Status` | `getStatus()` Gets the value of the status property.
    `void` | `setStatus(Status value)` Sets the value of the status property.

    - ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.ResponseType

      `getId, getInResponseTo, getIssueInstant, setId, setInResponseTo, setIssueInstant`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StatusResponseType

          public StatusResponseType()

  - ### Method Detail

    - #### getStatus

          public Status getStatus()

      Gets the value of the status property.
      Returns:
        possible object is `Status`

    - #### setStatus

          public void setStatus(Status value)

      Sets the value of the status property.
      Parameters:
        `value` - allowed object is `Status`

Connector Packaging generic 4.4.0 API
Copyright © {inceptionYear}-2023 eHealth. All Rights Reserved.